MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Slack.hxx File Reference

Go to the source code of this file.

## Functions
static void | SetThreadTimerSlackNS (unsigned long slack_ns)
| Set the current thread's timer slack to the specified number of nanoseconds (requires Linux 2.6.28). More...
static void | SetThreadTimerSlackUS (unsigned long slack_us)
static void | SetThreadTimerSlackMS (unsigned long slack_ms)

## Function Documentation

static void SetThreadTimerSlackMS | ( | unsigned long | slack_ms | ) |
| inline static

Definition at line 49 of file Slack.hxx.

static void SetThreadTimerSlackNS | ( | unsigned long | slack_ns | ) |
| inline static

Set the current thread's timer slack to the specified number of nanoseconds (requires Linux 2.6.28).

This allows the kernel to merge multiple wakeups, which is a trick to save energy.

Definition at line 33 of file Slack.hxx.

static void SetThreadTimerSlackUS | ( | unsigned long | slack_us | ) |
| inline static

Definition at line 43 of file Slack.hxx.